---
- name: Configure users
  jugasit.keycloak.user:

    # Standard auth parameters
    auth_client_id: "{{ keycloak_auth_client_id | default(omit) }}"
    auth_client_secret: "{{ keycloak_auth_client_secret | default(omit) }}"
    auth_keycloak_url: "{{ keycloak_auth_url | default(omit) }}"
    auth_password: "{{ keycloak_auth_password | default(omit) }}"
    auth_realm: "{{ keycloak_auth_realm | default(omit) }}"
    auth_username: "{{ keycloak_auth_username | default(omit) }}"
    token: "{{ keycloak_auth_token | default(omit) }}"
    validate_certs: "{{ keycloak_validate_certs | default(omit) }}"

    # Module parameters
    attributes: "{{ item.attributes | default(omit) }}"
    email: "{{ item.email | default(omit) }}"
    email_verified: "{{ item.email_verified | default(omit) }}"
    enabled: "{{ item.enabled | default(omit) }}"
    first_name: "{{ item.first_name | default(omit) }}"
    last_name: "{{ item.last_name | default(omit) }}"
    password: "{{ item.password | default(omit) }}"
    groups: "{{ item.groups | default(omit) }}"
    append_groups: "{{ item.append_groups | default(omit) }}"
    realm: "{{ item.realm | default(omit) }}"
    state: "{{ item.state | default('present') }}"
    update_secrets: "{{ item.update_secrets | default(omit) }}"
    username: "{{ item.username | mandatory }}"

  loop: "{{ keycloak_users | default([]) }}"
  no_log: "{{ keycloak_users_secure_logging | default(keycloak_secure_logging) | default(item.password is defined) }}"
...
